libdap::EventHandler Class Referenceabstract

`#include <EventHandler.h>`

Inheritance diagram for libdap::EventHandler:

## Public Member Functions

virtual void | handle_signal (int signum)=0
virtual | ~EventHandler ()

## Detailed Description

An abstract class which provides a hook method used by SignalHandler.

Based on "Applying Design Patterns to Simplify Signal Handling", Douglas C. Schmidt, 1998, http://www.cs.wustl.edu/~schmidt/signal-patterns.html.

See also
  SignalHandler
  AlarmHandler

Author
  James Gallagher jgall.nosp@m.aghe.nosp@m.r@ope.nosp@m.ndap.nosp@m..org

Definition at line 42 of file EventHandler.h.

## Constructor & Destructor Documentation

## ~EventHandler()

virtual libdap::EventHandler::~EventHandler | ( |  | ) |

inline virtual

We don't need a destructor, but including one might stave off an error later on...

Definition at line 52 of file EventHandler.h.

## Member Function Documentation

## handle_signal()

virtual void libdap::EventHandler::handle_signal | ( | int | signum | ) |

pure virtual

Hook method for SignalHandler. If a concrete instance of this class is registered with SignalHandler, this method will be called when `signum` is received.

Implemented in libdap::HTTPCacheInterruptHandler, and libdap::AlarmHandler.

The documentation for this class was generated from the following file:

- EventHandler.h